> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Stake

> Stake is called by the provider to register or add to its stake in the provider registry.



## OpenAPI

````yaml /v1.2.x/api-reference/provider-openapi-spec.json post /v1/provider/stake/{amount}
openapi: 3.0.0
info:
  title: Provider API
  version: 1.2.2-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/provider/stake/{amount}:
    post:
      summary: Stake
      description: >-
        Stake is called by the provider to register or add to its stake in the
        provider registry.
      operationId: Provider_Stake
      parameters:
        - name: amount
          description: Amount of ETH to stake in the provider registry.
          in: path
          required: true
          schema:
            type: string
        - name: blsPublicKeys
          description: BLS public keys of the provider.
          in: query
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
              pattern: ^(0x)?[a-fA-F0-9]{96}$
        - name: blsSignatures
          description: BLS signatures corresponding to the BLS public keys.
          in: query
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
              pattern: ^(0x)?[a-fA-F0-9]{192}$
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1StakeResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1StakeResponse:
      type: object
      example:
        amount: '2000000000000000000'
        bls_public_keys:
          - >-
            90000cddeec66a80e00b0ccbb62f12298073603f5209e812abbac7e870482e488dd1bbe533a9d4497ba8b756e1e82b
          - >-
            80000cddeec66a80e00b0ccbb62f12298073603f5209e812abbac7e870482e488dd1bbe533a9d4497ba8b756e1e82b
      properties:
        amount:
          type: string
        blsPublicKeys:
          type: array
          items:
            type: string
      description: Get staked amount for provider in the provider registry.
      title: Stake response
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````